Subject: Re: empty zsh prompt string under Cygwin 1.1.0 xterm
From: Eric De Mund <[email-masked]>
To: Peter Stephenson <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 5 Jul 2000 15:48:50 -0700 (PDT)

Peter,

] > Could be it's not in interactive mode, for some reason.  Do something like
] >   [[ -o zle ]] && print "zle is not running"
] 
] Sorry, that should be `||', not `&&', or the sense will be reversed.
] 
] As a postscript, I've now got both xterm and rxvt running under cygwin with
] zsh-3.1.9-dev-2 and everything seems to be fine (except that network file
] access is still horribly slow, but that's a completely different problem).

Thanks very much. I built zsh 3.0.8 from scratch, set TERM to cygwin,
and converted my .z* files from MS-DOS to UNIX newline format. And
everything worked swimmingly; both xterm(1) and rxvt(1) work great.

Many thanks for your help. (And yes, the Amol Deshpande zsh wasn't
setopt interactive, for some reason.)

All I need figure out now is how to get "emacs -nw" under the xterm(1)
to stop saying "emacs: standard input is not a tty" and then exiting. I
wonder if I need to build emacs from source and not use a precompiled
version; it's the last program in the equation now that is not built
using cygwin.

Kind regards,
Eric
--
Eric De Mund <[email-masked]> | Ixian Systems, Inc. | 53 49 B2 23 AF 6C 20 81
http://www.ixian.com/ead/    | Mountain View, CA   | ED DD 4C 81 AA C9 D1 A5

--
Want to unsubscribe from this list?
Send a message to [email-masked]